dbXML API

## org.dbxml.xml.dom
Interface CompressedDocument

All Superinterfaces:
  CompressedNode, org.w3c.dom.Document, org.w3c.dom.Node

All Known Implementing Classes:
  DocumentImpl

public interface CompressedDocument
extends CompressedNode, org.w3c.dom.Document

CompressedDocument exposes the Document's SymbolTable.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`org.w3c.dom.Node` `getNodeAtPos(int pos)` getNodeAtPos returns the Node that exists at the specified byte data position in the compressed stream.
`SymbolTable` `getSymbols()` getSymbols returns the Symbol table for this Document.
`void` `setSymbols(SymbolTable symbols)` setSymbols sets the Symbol table for this Document.

Methods inherited from interface org.dbxml.xml.dom.CompressedNode
`getDataBytes, getDataLen, getDataPos, getSymbolID, isDirty, isLoaded, load, setDataBytes, setDataBytes, setDataLen, setDataPos, unload`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.Document
`createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, getDoctype, getDocumentElement, getElementById, getElementsByTagName, getElementsByTagNameNS, getImplementation, importNode`

Method Detail

### getSymbols

    public SymbolTable getSymbols()

  getSymbols returns the Symbol table for this Document. A new Document may not have a Symbol table as Symbol tables only come into play when a Document has been compressed or decompressed.
  Returns:
    The Symbol table

### setSymbols

    public void setSymbols(SymbolTable symbols)
                    throws org.w3c.dom.DOMException

  setSymbols sets the Symbol table for this Document. Setting the Symbol table for a Document that already has a Symbol table could be VERY BAD. Generally, an implementation should throw a DOMException if an attempt is made to reassign a Symbol table.
  Parameters:
    `symbols` - The Symbol table
  Throws:
    `org.w3c.dom.DOMException` - if an exception occurs

### getNodeAtPos

    public org.w3c.dom.Node getNodeAtPos(int pos)

  getNodeAtPos returns the Node that exists at the specified byte data position in the compressed stream. This method should only be used on an unmodified Document as the underlying compressed stream of a document will become invalid as the Document is modified.
  Parameters:
    `pos` - The compressed stream position
  Returns:
    The Node (or null if not found)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved